Package com.saxonica.ee.stream

## Class PostureAndSweep

- java.lang.Object
- - com.saxonica.ee.stream.PostureAndSweep

-     public class PostureAndSweep
      extends java.lang.Object

  This class defines a composite property of an expression containing both the posture and sweep of the expression, as defined in the XSLT 3.0 specification. The class is immutable.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PostureAndSweep` | `CLIMBING_AND_MOTIONLESS` | Constant value for (posture = climbing, sweep = motionless)
    `static PostureAndSweep` | `GROUNDED_AND_MOTIONLESS` | Constant value for (posture = grounded, sweep = motionless)
    `static PostureAndSweep` | `ROAMING_AND_FREE_RANGING` | Constant value for (posture = roaming, sweep = free-ranging)

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PostureAndSweep​(Posture posture, Sweep sweep)` | Create a PostureAndSweep with a given posture and sweep

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `Posture` | `getPosture()` | Get the posture component
    `Sweep` | `getSweep()` | Get the sweep component
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROAMING_AND_FREE_RANGING

          public static final PostureAndSweep ROAMING_AND_FREE_RANGING

      Constant value for (posture = roaming, sweep = free-ranging)

    - #### GROUNDED_AND_MOTIONLESS

          public static final PostureAndSweep GROUNDED_AND_MOTIONLESS

      Constant value for (posture = grounded, sweep = motionless)

    - #### CLIMBING_AND_MOTIONLESS

          public static final PostureAndSweep CLIMBING_AND_MOTIONLESS

      Constant value for (posture = climbing, sweep = motionless)

  - ### Constructor Detail

    - #### PostureAndSweep

          public PostureAndSweep​(Posture posture,
                                 Sweep sweep)

      Create a PostureAndSweep with a given posture and sweep
      Parameters:
        `posture` - the posture
        `sweep` - the sweep

  - ### Method Detail

    - #### getPosture

          public Posture getPosture()

      Get the posture component
      Returns:
        the posture component

    - #### getSweep

          public Sweep getSweep()

      Get the sweep component
      Returns:
        the sweep component

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`